﻿using System;
using System.Collections.Generic;
using System.Linq;

namespace PushPlatform.Data.Criteria
{
    public partial class CriteriaMappushUserRole
    {
        
        public CriteriaMappushUserRole()
        {
            TableName="MappushUserRole";
            OrderList = new List<string>();
            PageIndex = 1;
            PageSize = 20;
            UsePage = true;
            UserWhere = false;
        }
        
        #region Criteria Property
        public string TableName { get; set; }
        
        public IList<string> OrderList { get; set; }
        
        public int PageIndex { get; set; }
        
        public int PageSize { get; set; }
        
        public int PageTotal { get; set; }
        
        public bool UsePage { get; set; }
        
        public bool UseOr { get; set; }
        
        public bool UserWhere { get; set; }
        
        public string Where { get; set; }
        
        public bool IsAsc { get; set; }
        
        public object WhereValue { get; set; }
        
        #endregion
    
        #region Criteria Field
        
        
        public const string CriteriaField = "Id";
        
        
        
        public const string FieldId = "Id";
        public const string MapId = "Id";
        public const string FieldMapProjectPushId = "MapProjectPushId";
        public const string MapMapProjectPushId = "Map_Project_Push_Id";
        public const string FieldProjectId = "ProjectId";
        public const string MapProjectId = "Project_Id";
        public const string FieldUserId = "UserId";
        public const string MapUserId = "User_Id";
        public const string FieldRoleId = "RoleId";
        public const string MapRoleId = "Role_Id";
        public const string FieldCreateUser = "CreateUser";
        public const string MapCreateUser = "Create_User";
        public const string FieldCreateTime = "CreateTime";
        public const string MapCreateTime = "Create_Time";
        public const string FieldUpdateUser = "UpdateUser";
        public const string MapUpdateUser = "Update_User";
        public const string FieldUpdateTime = "UpdateTime";
        public const string MapUpdateTime = "Update_Time";
        public const string FieldIsDeleted = "IsDeleted";
        public const string MapIsDeleted = "Is_Deleted";
        public const string FieldTimestamp = "Timestamp";
        public const string MapTimestamp = "Timestamp";
        
        
        
        #endregion
        
        #region Criteria Auto Property
        
        public System.String LikeAll { get; set; }
        
        public System.String LikeId { get; set; }
        List<System.String> _InId;
        public List<System.String> InId
        {
            get
            {
                if (_InId == null) { _InId = new List<System.String>(); }
                return _InId;
            }
        }
        List<System.String> _NotId;
        public List<System.String> NotId
        {
            get
            {
                if (_NotId == null) { _NotId = new List<System.String>(); }
                return _NotId;
            }
        }
        List<System.String> _OrEqId;
        public List<System.String> OrEqId
        {
            get
            {
                if (_OrEqId == null) { _OrEqId = new List<System.String>(); }
                return _OrEqId;
            }
        }
        List<System.String> _OrLikeId;
        public List<System.String> OrLikeId
        {
            get
            {
                if (_OrLikeId == null) { _OrLikeId = new List<System.String>(); }
                return _OrLikeId;
            }
        }
        public System.String EqId { get; set; }
        public System.String NeId { get; set; }
        public System.String EqIgId { get; set; }
        public System.String LeId { get; set; }
        public System.String GeId { get; set; }
        public System.String LtId { get; set; }
        public System.String GtId { get; set; }
        public bool  NullId { get; set; }
        public bool  NotNullId { get; set; }
        public System.String LikeMapProjectPushId { get; set; }
        List<System.String> _InMapProjectPushId;
        public List<System.String> InMapProjectPushId
        {
            get
            {
                if (_InMapProjectPushId == null) { _InMapProjectPushId = new List<System.String>(); }
                return _InMapProjectPushId;
            }
        }
        List<System.String> _NotMapProjectPushId;
        public List<System.String> NotMapProjectPushId
        {
            get
            {
                if (_NotMapProjectPushId == null) { _NotMapProjectPushId = new List<System.String>(); }
                return _NotMapProjectPushId;
            }
        }
        List<System.String> _OrEqMapProjectPushId;
        public List<System.String> OrEqMapProjectPushId
        {
            get
            {
                if (_OrEqMapProjectPushId == null) { _OrEqMapProjectPushId = new List<System.String>(); }
                return _OrEqMapProjectPushId;
            }
        }
        List<System.String> _OrLikeMapProjectPushId;
        public List<System.String> OrLikeMapProjectPushId
        {
            get
            {
                if (_OrLikeMapProjectPushId == null) { _OrLikeMapProjectPushId = new List<System.String>(); }
                return _OrLikeMapProjectPushId;
            }
        }
        public System.String EqMapProjectPushId { get; set; }
        public System.String NeMapProjectPushId { get; set; }
        public System.String EqIgMapProjectPushId { get; set; }
        public System.String LeMapProjectPushId { get; set; }
        public System.String GeMapProjectPushId { get; set; }
        public System.String LtMapProjectPushId { get; set; }
        public System.String GtMapProjectPushId { get; set; }
        public bool  NullMapProjectPushId { get; set; }
        public bool  NotNullMapProjectPushId { get; set; }
        public System.String LikeProjectId { get; set; }
        List<System.String> _InProjectId;
        public List<System.String> InProjectId
        {
            get
            {
                if (_InProjectId == null) { _InProjectId = new List<System.String>(); }
                return _InProjectId;
            }
        }
        List<System.String> _NotProjectId;
        public List<System.String> NotProjectId
        {
            get
            {
                if (_NotProjectId == null) { _NotProjectId = new List<System.String>(); }
                return _NotProjectId;
            }
        }
        List<System.String> _OrEqProjectId;
        public List<System.String> OrEqProjectId
        {
            get
            {
                if (_OrEqProjectId == null) { _OrEqProjectId = new List<System.String>(); }
                return _OrEqProjectId;
            }
        }
        List<System.String> _OrLikeProjectId;
        public List<System.String> OrLikeProjectId
        {
            get
            {
                if (_OrLikeProjectId == null) { _OrLikeProjectId = new List<System.String>(); }
                return _OrLikeProjectId;
            }
        }
        public System.String EqProjectId { get; set; }
        public System.String NeProjectId { get; set; }
        public System.String EqIgProjectId { get; set; }
        public System.String LeProjectId { get; set; }
        public System.String GeProjectId { get; set; }
        public System.String LtProjectId { get; set; }
        public System.String GtProjectId { get; set; }
        public bool  NullProjectId { get; set; }
        public bool  NotNullProjectId { get; set; }
        public System.String LikeUserId { get; set; }
        List<System.String> _InUserId;
        public List<System.String> InUserId
        {
            get
            {
                if (_InUserId == null) { _InUserId = new List<System.String>(); }
                return _InUserId;
            }
        }
        List<System.String> _NotUserId;
        public List<System.String> NotUserId
        {
            get
            {
                if (_NotUserId == null) { _NotUserId = new List<System.String>(); }
                return _NotUserId;
            }
        }
        List<System.String> _OrEqUserId;
        public List<System.String> OrEqUserId
        {
            get
            {
                if (_OrEqUserId == null) { _OrEqUserId = new List<System.String>(); }
                return _OrEqUserId;
            }
        }
        List<System.String> _OrLikeUserId;
        public List<System.String> OrLikeUserId
        {
            get
            {
                if (_OrLikeUserId == null) { _OrLikeUserId = new List<System.String>(); }
                return _OrLikeUserId;
            }
        }
        public System.String EqUserId { get; set; }
        public System.String NeUserId { get; set; }
        public System.String EqIgUserId { get; set; }
        public System.String LeUserId { get; set; }
        public System.String GeUserId { get; set; }
        public System.String LtUserId { get; set; }
        public System.String GtUserId { get; set; }
        public bool  NullUserId { get; set; }
        public bool  NotNullUserId { get; set; }
        public System.String LikeRoleId { get; set; }
        List<System.String> _InRoleId;
        public List<System.String> InRoleId
        {
            get
            {
                if (_InRoleId == null) { _InRoleId = new List<System.String>(); }
                return _InRoleId;
            }
        }
        List<System.String> _NotRoleId;
        public List<System.String> NotRoleId
        {
            get
            {
                if (_NotRoleId == null) { _NotRoleId = new List<System.String>(); }
                return _NotRoleId;
            }
        }
        List<System.String> _OrEqRoleId;
        public List<System.String> OrEqRoleId
        {
            get
            {
                if (_OrEqRoleId == null) { _OrEqRoleId = new List<System.String>(); }
                return _OrEqRoleId;
            }
        }
        List<System.String> _OrLikeRoleId;
        public List<System.String> OrLikeRoleId
        {
            get
            {
                if (_OrLikeRoleId == null) { _OrLikeRoleId = new List<System.String>(); }
                return _OrLikeRoleId;
            }
        }
        public System.String EqRoleId { get; set; }
        public System.String NeRoleId { get; set; }
        public System.String EqIgRoleId { get; set; }
        public System.String LeRoleId { get; set; }
        public System.String GeRoleId { get; set; }
        public System.String LtRoleId { get; set; }
        public System.String GtRoleId { get; set; }
        public bool  NullRoleId { get; set; }
        public bool  NotNullRoleId { get; set; }
        public System.String LikeCreateUser { get; set; }
        List<System.String> _InCreateUser;
        public List<System.String> InCreateUser
        {
            get
            {
                if (_InCreateUser == null) { _InCreateUser = new List<System.String>(); }
                return _InCreateUser;
            }
        }
        List<System.String> _NotCreateUser;
        public List<System.String> NotCreateUser
        {
            get
            {
                if (_NotCreateUser == null) { _NotCreateUser = new List<System.String>(); }
                return _NotCreateUser;
            }
        }
        List<System.String> _OrEqCreateUser;
        public List<System.String> OrEqCreateUser
        {
            get
            {
                if (_OrEqCreateUser == null) { _OrEqCreateUser = new List<System.String>(); }
                return _OrEqCreateUser;
            }
        }
        List<System.String> _OrLikeCreateUser;
        public List<System.String> OrLikeCreateUser
        {
            get
            {
                if (_OrLikeCreateUser == null) { _OrLikeCreateUser = new List<System.String>(); }
                return _OrLikeCreateUser;
            }
        }
        public System.String EqCreateUser { get; set; }
        public System.String NeCreateUser { get; set; }
        public System.String EqIgCreateUser { get; set; }
        public System.String LeCreateUser { get; set; }
        public System.String GeCreateUser { get; set; }
        public System.String LtCreateUser { get; set; }
        public System.String GtCreateUser { get; set; }
        public bool  NullCreateUser { get; set; }
        public bool  NotNullCreateUser { get; set; }
        public System.DateTime? EqCreateTime { get; set; }
        public System.DateTime? NeCreateTime { get; set; }
        public System.DateTime? EqIgCreateTime { get; set; }
        public System.DateTime? LeCreateTime { get; set; }
        public System.DateTime? GeCreateTime { get; set; }
        public System.DateTime? LtCreateTime { get; set; }
        public System.DateTime? GtCreateTime { get; set; }
        public bool  NullCreateTime { get; set; }
        public bool  NotNullCreateTime { get; set; }
        public System.String LikeUpdateUser { get; set; }
        List<System.String> _InUpdateUser;
        public List<System.String> InUpdateUser
        {
            get
            {
                if (_InUpdateUser == null) { _InUpdateUser = new List<System.String>(); }
                return _InUpdateUser;
            }
        }
        List<System.String> _NotUpdateUser;
        public List<System.String> NotUpdateUser
        {
            get
            {
                if (_NotUpdateUser == null) { _NotUpdateUser = new List<System.String>(); }
                return _NotUpdateUser;
            }
        }
        List<System.String> _OrEqUpdateUser;
        public List<System.String> OrEqUpdateUser
        {
            get
            {
                if (_OrEqUpdateUser == null) { _OrEqUpdateUser = new List<System.String>(); }
                return _OrEqUpdateUser;
            }
        }
        List<System.String> _OrLikeUpdateUser;
        public List<System.String> OrLikeUpdateUser
        {
            get
            {
                if (_OrLikeUpdateUser == null) { _OrLikeUpdateUser = new List<System.String>(); }
                return _OrLikeUpdateUser;
            }
        }
        public System.String EqUpdateUser { get; set; }
        public System.String NeUpdateUser { get; set; }
        public System.String EqIgUpdateUser { get; set; }
        public System.String LeUpdateUser { get; set; }
        public System.String GeUpdateUser { get; set; }
        public System.String LtUpdateUser { get; set; }
        public System.String GtUpdateUser { get; set; }
        public bool  NullUpdateUser { get; set; }
        public bool  NotNullUpdateUser { get; set; }
        public System.DateTime? EqUpdateTime { get; set; }
        public System.DateTime? NeUpdateTime { get; set; }
        public System.DateTime? EqIgUpdateTime { get; set; }
        public System.DateTime? LeUpdateTime { get; set; }
        public System.DateTime? GeUpdateTime { get; set; }
        public System.DateTime? LtUpdateTime { get; set; }
        public System.DateTime? GtUpdateTime { get; set; }
        public bool  NullUpdateTime { get; set; }
        public bool  NotNullUpdateTime { get; set; }
        public System.SByte? EqIsDeleted { get; set; }
        public System.SByte? NeIsDeleted { get; set; }
        public System.SByte? EqIgIsDeleted { get; set; }
        public System.SByte? LeIsDeleted { get; set; }
        public System.SByte? GeIsDeleted { get; set; }
        public System.SByte? LtIsDeleted { get; set; }
        public System.SByte? GtIsDeleted { get; set; }
        public bool  NullIsDeleted { get; set; }
        public bool  NotNullIsDeleted { get; set; }
        public System.Int64? EqTimestamp { get; set; }
        public System.Int64? NeTimestamp { get; set; }
        public System.Int64? EqIgTimestamp { get; set; }
        public System.Int64? LeTimestamp { get; set; }
        public System.Int64? GeTimestamp { get; set; }
        public System.Int64? LtTimestamp { get; set; }
        public System.Int64? GtTimestamp { get; set; }
        public bool  NullTimestamp { get; set; }
        public bool  NotNullTimestamp { get; set; }
        
        
        
        #endregion
        
        
        #region Criteria Method
        
        public void AddOrder(string order)
        {
            this.AddOrder(order,false);
        }
        
        public void AddOrder(string order, bool isAsc)
        {
            if(isAsc)
            {
                this.OrderList.Add(order);
                IsAsc=true;
            }
            else
            {
                this.OrderList.Add(order);
                IsAsc=false;
            }
        }
        
        public void ClearOrder()
        {
            this.OrderList.Clear();
        }
        
        public void RemoveOrder(string order)
        {
            if(this.OrderList.Contains(order+",0"))
                this.OrderList.Remove(order+",0");
            if(this.OrderList.Contains(order+",1"))
                this.OrderList.Remove(order+",1");
        }
        
        #endregion
       
    }
}
